> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# レッドパケット - 作成

> 金額と数量を指定して新しいレッドパケットを作成



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml POST /v2/redpacket/{chain}/create
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/redpacket/{chain}/create:
    post:
      tags:
        - RedPacket
      summary: レッドパケット - 作成
      description: 金額と数量を指定して新しいレッドパケットを作成
      operationId: create.redpacket
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRedPacketRequest'
        required: true
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRedPacketResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    CreateRedPacketRequest:
      type: object
      description: 作成者のウォレットアドレス
      required:
        - creator
        - mint
        - maxClaims
      properties:
        claimAuthority:
          type:
            - string
            - 'null'
          description: 受取権限アドレス
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        creator:
          type: string
          description: 作成者のウォレットアドレス
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        expiration:
          type:
            - integer
            - 'null'
          format: int64
          description: 有効期限（秒）
          example: 24
        fixedAmount:
          type:
            - string
            - 'null'
          description: 1回あたりの固定受取金額
          example: '1000000000'
        maxClaims:
          type: integer
          format: int32
          description: 最大受取可能回数
          example: 10
        memo:
          type:
            - string
            - 'null'
          description: レッドパケットのメモメッセージ
          example: Happy Red Packet
        mint:
          type: string
          description: トークンミントアドレス
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        password:
          type:
            - string
            - 'null'
          description: 受取用のレッドパケットパスワード
          example: '123456'
        totalAmount:
          type:
            - string
            - 'null'
          description: レッドパケットの合計金額
          example: '1000000000'
    CreateRedPacketResponse:
      type: object
      description: Create red packet response
      required:
        - txSerialize
        - shareId
      properties:
        shareId:
          type: string
          description: 共有識別子
          example: abc123
        txSerialize:
          type: string
          description: シリアライズされたトランザクションデータ
          example: AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````